Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.meta
Class DelegatingExtensions

    java.lang.Object
      |
      +--kodo.meta.DelegatingExtensions

All Implemented Interfaces:
  Extensions

Direct Known Subclasses:
  DelegatingClassMetaData, DelegatingFieldMetaData

public synchronized class DelegatingExtensions
extends Object
implements Extensions

Constructor Summary
`DelegatingExtensions(Extensions)`

Method Summary
`void` | `addExtension(String, Object)` Add a `kodo` vendor extension to this entity.
`void` | `addExtension(String, String, Object)` Add a vendor extension to this entity.
`boolean` | `getBooleanExtension(String)` Get the value as a boolean.
`boolean` | `getBooleanExtension(String, String)` Get the value as a boolean.
`double` | `getDoubleExtension(String)` Get the value as a double.
`double` | `getDoubleExtension(String, String)` Get the value as a double.
`Extensions` | `getEmbeddedExtensions(String, boolean)` Return the embedded extensions under the extension with the given key.
`Extensions` | `getEmbeddedExtensions(String, String, boolean)` Return the embedded extensions under the extension with the given key.
`String[]` | `getExtensionKeys()` Return all extension keys for vendor `kodo`.
`String[]` | `getExtensionKeys(String)` Return all extension keys for the given vendor.
`String[]` | `getExtensionVendors()` Return all vendors who have extension keys at this level.
`int` | `getIntExtension(String)` Get the value as an int.
`int` | `getIntExtension(String, String)` Get the value as an int.
`Object` | `getObjectExtension(String)` Get the value of a `kodo` extension.
`Object` | `getObjectExtension(String, String)` Get the value of an extension.
`String` | `getStringExtension(String)` Get the value as a string.
`String` | `getStringExtension(String, String)` Get the value as a string.
`boolean` | `hasExtension(String)` Return true if the extension with the given key exists for vendor `kodo`.
`boolean` | `hasExtension(String, String)` Return true if the extension with the given key exists for the given vendor.
`boolean` | `isEmpty()` Return true if there are no keys for any vendor.
`boolean` | `removeEmbeddedExtensions(String)` Remove the embedded extensions for the given key.
`boolean` | `removeEmbeddedExtensions(String, String)` Remove the embedded extensions for the given key.
`boolean` | `removeExtension(String)` Remove a `kodo` vendor extension to this entity.
`boolean` | `removeExtension(String, String)` Remove a vendor extension to this entity.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingExtensions

    public DelegatingExtensions(Extensions)

Method Detail

### isEmpty

    public boolean isEmpty()

  Description copied from interface: `Extensions`
  Return true if there are no keys for any vendor.
  Specified by:
    `isEmpty` in interface `Extensions`

### getExtensionVendors

    public String[] getExtensionVendors()

  Description copied from interface: `Extensions`
  Return all vendors who have extension keys at this level.
  Specified by:
    `getExtensionVendors` in interface `Extensions`

### getExtensionKeys

    public String[] getExtensionKeys()

  Description copied from interface: `Extensions`
  Return all extension keys for vendor `kodo`.
  Specified by:
    `getExtensionKeys` in interface `Extensions`

### getExtensionKeys

    public String[] getExtensionKeys(String)

  Description copied from interface: `Extensions`
  Return all extension keys for the given vendor.
  Specified by:
    `getExtensionKeys` in interface `Extensions`

### hasExtension

    public boolean hasExtension(String)

  Description copied from interface: `Extensions`
  Return true if the extension with the given key exists for vendor `kodo`.
  Specified by:
    `hasExtension` in interface `Extensions`

### hasExtension

    public boolean hasExtension(String,
                                String)

  Description copied from interface: `Extensions`
  Return true if the extension with the given key exists for the given vendor.
  Specified by:
    `hasExtension` in interface `Extensions`

### addExtension

    public void addExtension(String,
                             Object)

  Description copied from interface: `Extensions`
  Add a `kodo` vendor extension to this entity.
  Specified by:
    `addExtension` in interface `Extensions`

### addExtension

    public void addExtension(String,
                             String,
                             Object)

  Description copied from interface: `Extensions`
  Add a vendor extension to this entity.
  Specified by:
    `addExtension` in interface `Extensions`

### removeExtension

    public boolean removeExtension(String)

  Description copied from interface: `Extensions`
  Remove a `kodo` vendor extension to this entity.
  Specified by:
    `removeExtension` in interface `Extensions`

### removeExtension

    public boolean removeExtension(String,
                                   String)

  Description copied from interface: `Extensions`
  Remove a vendor extension to this entity.
  Specified by:
    `removeExtension` in interface `Extensions`

### getObjectExtension

    public Object getObjectExtension(String)

  Description copied from interface: `Extensions`
  Get the value of a `kodo` extension.
  Specified by:
    `getObjectExtension` in interface `Extensions`

### getObjectExtension

    public Object getObjectExtension(String,
                                     String)

  Description copied from interface: `Extensions`
  Get the value of an extension.
  Specified by:
    `getObjectExtension` in interface `Extensions`

### getStringExtension

    public String getStringExtension(String)

  Description copied from interface: `Extensions`
  Get the value as a string.
  Specified by:
    `getStringExtension` in interface `Extensions`

### getStringExtension

    public String getStringExtension(String,
                                     String)

  Description copied from interface: `Extensions`
  Get the value as a string.
  Specified by:
    `getStringExtension` in interface `Extensions`

### getIntExtension

    public int getIntExtension(String)

  Description copied from interface: `Extensions`
  Get the value as an int.
  Specified by:
    `getIntExtension` in interface `Extensions`

### getIntExtension

    public int getIntExtension(String,
                               String)

  Description copied from interface: `Extensions`
  Get the value as an int.
  Specified by:
    `getIntExtension` in interface `Extensions`

### getDoubleExtension

    public double getDoubleExtension(String)

  Description copied from interface: `Extensions`
  Get the value as a double.
  Specified by:
    `getDoubleExtension` in interface `Extensions`

### getDoubleExtension

    public double getDoubleExtension(String,
                                     String)

  Description copied from interface: `Extensions`
  Get the value as a double.
  Specified by:
    `getDoubleExtension` in interface `Extensions`

### getBooleanExtension

    public boolean getBooleanExtension(String)

  Description copied from interface: `Extensions`
  Get the value as a boolean.
  Specified by:
    `getBooleanExtension` in interface `Extensions`

### getBooleanExtension

    public boolean getBooleanExtension(String,
                                       String)

  Description copied from interface: `Extensions`
  Get the value as a boolean.
  Specified by:
    `getBooleanExtension` in interface `Extensions`

### getEmbeddedExtensions

    public Extensions getEmbeddedExtensions(String,
                                            boolean)

  Description copied from interface: `Extensions`
  Return the embedded extensions under the extension with the given key. If there are no embedded extensions, a new extensions object will be created and returned if the `create` parameter is true.
  Specified by:
    `getEmbeddedExtensions` in interface `Extensions`

### getEmbeddedExtensions

    public Extensions getEmbeddedExtensions(String,
                                            String,
                                            boolean)

  Description copied from interface: `Extensions`
  Return the embedded extensions under the extension with the given key. If there are no embedded extensions, a new extensions object will be created and returned if the `create` parameter is true.
  Specified by:
    `getEmbeddedExtensions` in interface `Extensions`

### removeEmbeddedExtensions

    public boolean removeEmbeddedExtensions(String)

  Description copied from interface: `Extensions`
  Remove the embedded extensions for the given key.
  Specified by:
    `removeEmbeddedExtensions` in interface `Extensions`

### removeEmbeddedExtensions

    public boolean removeEmbeddedExtensions(String,
                                            String)

  Description copied from interface: `Extensions`
  Remove the embedded extensions for the given key.
  Specified by:
    `removeEmbeddedExtensions` in interface `Extensions`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.